Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class ClickEvent

    java.lang.Object
      |
      +--com.bea.p13n.property.AbstractConfigurableEntity
            |
            +--com.bea.p13n.events.Event
                  |
                  +--com.bea.p13n.tracking.events.TrackingEvent
                        |
                        +--com.bea.p13n.tracking.events.ClickEvent

Direct Known Subclasses:
  ClickCampaignEvent, ClickContentEvent, ClickProductEvent

public class ClickEvent
extends TrackingEvent

Event for tracking web site Click activity

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DOCUMENT_ID` Event attribute key name for document id Attribute value is a String
`static java.lang.String` | `DOCUMENT_TYPE` Event attribute key name for document type Attribute value is a String
`static java.lang.String` | `TYPE` The event type

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`APPLICATION, REQUEST, SESSION_ID, USER_ID`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Constructor Summary
`ClickEvent(java.lang.String theEventType, java.lang.String theSessionId, java.lang.String theUserId, java.lang.String theXMLNamespace, java.lang.String theXSDFile, java.lang.String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest, java.lang.String aDocumentType, java.lang.String aDocumentId)` Create a new ClickEvent.

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getXMLNamespace, getXSDFile, setSchemaKeys, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  The event type

### DOCUMENT_TYPE

    public static final java.lang.String DOCUMENT_TYPE

  Event attribute key name for document type Attribute value is a String

### DOCUMENT_ID

    public static final java.lang.String DOCUMENT_ID

  Event attribute key name for document id Attribute value is a String

Constructor Detail

### ClickEvent

    public ClickEvent(java.lang.String theEventType,
                      java.lang.String theSessionId,
                      java.lang.String theUserId,
                      java.lang.String theXMLNamespace,
                      java.lang.String theXSDFile,
                      java.lang.String[] theSchemaKeys,
                      javax.servlet.http.HttpServletRequest theRequest,
                      java.lang.String aDocumentType,
                      java.lang.String aDocumentId)

  Create a new ClickEvent.

  Parameters:
    `theEventType` - the type passed in from the subclass constructor
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `aXMLNamespace` - the namespace for the XML schema representing the event
    `aXSDFile` - the XSD filename that stores the event's schema
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the clicked link (optionally null)
    `aDocumentId` - Document ID for the clicked link (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved